// core functionality
#include <sys/types.h>
#include <sys/stat.h> 
#include <unistd.h>   
#include <string.h>  
#include <stdlib.h>
#include <stdio.h>

// network
#include <netdb.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <netinet/in.h>

// misc
#include <math.h>
#include <errno.h>
#include <fcntl.h>
#include <pthread.h>

// gtk/gdk/glib
#include <glib.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk-pixbuf/gdk-pixbuf-loader.h>

// local
#include "callbacks.h"
#include "interface.h"
#include "map.h"
#include "netgeoclient.h"
#include "prefs.h"

#ifndef G_THREADS_ENABLED
#error "No thread support"
#endif

#define MAP_FILE	"maps.properties"
#define GEO_TITLEBAR_STR	"GeoTrace v0.0.4"
#define ABOUT_STRING	"GeoTrace v0.0.4\n\ngeotrace.sourceforge.net\n"

guint statusbar_msg;
int debug_mode;
