#define TRACEROUTE_BROWSE 	1
#define MAPS_DIR_BROWSE		0

GList *trace_linked_list,*host_strings;
struct trace_node {
        int hop;
        int timed_out;
        int private;
        float lon;
        float lat;
        char *location;
        char *name;
        char *ip; 
        float rtt;
};
int current_browse;
GdkColor *my_gdk_color,*tmp_gdk_color;

gint delete_event( GtkWidget *widget, GdkEvent *event, gpointer data);
void destroy (GtkWidget *widget, gpointer data);
void generic_destroy (GtkWidget *widget, gpointer data);
void color_select_destroy();
void color_select_ok_clicked();
void display_color_select_clicked();
void options_clicked();
void about_clicked();
void browse_ok_button_clicked();
void browse_cancel_button_clicked();
void trace_button_clicked();
void trace_browse_button_clicked();
void maps_browse_button_clicked();
void options_apply_button_clicked();
void options_cancel_button_clicked();
void *trace_button_clicked_thread();
void map_combo_entry_changed();
void add_trace_to_list (char *ret_string);
void add_info_to_list (int pos);
gint on_mouse_move(GtkWidget *widget,GdkEventMotion *event);
void get_hop_locations();
void update_clist_with_location();
void draw_trace_on_map();
int check_private_networks(char *ip);
